Subject: Re: [PATCH net v2 0/3] net: phy: micrel: Remove latencies support lan8814

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 1 Apr 2022 15:43:25 +0100

On Fri, Apr 01, 2022 at 02:57:46PM +0200, Andrew Lunn wrote:
> On Fri, Apr 01, 2022 at 01:05:19PM +0200, Horatiu Vultur wrote:
> > Remove the latencies support both from the PHY driver and from the DT.
> > The IP already has some default latencies values which can be used to get
> > decent results. It has the following values(defined in ns):
> > rx-1000mbit: 429
> > tx-1000mbit: 201
> > rx-100mbit:  2346
> > tx-100mbit:  705
> 
> So one alternative option here is that ptp4l looks at
> 
> /sys/class/net/<ifname>/phydev/phy_id

That doesn't work for Clause 45 PHYs, only Clause 22 PHYs. If we want
userspace to know which PHY it is, we need a proper interface that
exports all the 31 Clause 45 IDs (each mmd's registers 2/3) as well, as
well as the Clause 45 package ID (registers 14/15).

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!